using System;
using System.Collections.Generic;

namespace MySystem
{
    /// <summary>
    /// 添加分账接收方账户类
    /// </summary>
    public class AddOpenDivideAccounts
    {
        public string acctNo { get; set; } //非必须 用户编码（创建分账接收方失败或者审核驳回时，修改信息时填写）
        public string userType { get; set; } //必须 用户类型 1-企业,2-个人
        public string userName { get; set; } //必须 用户名，个人填写身份证姓名，企业填写法人姓名
        public string mobile { get; set; } //非必须 手机号
        public string compNm { get; set; } //企业必须 企业名称
        public string legalCertType { get; set; } //必须 法人证明类型 1身份证 2护照 3港澳台居民通行证（废弃不用）4外国人永久居留证 5香港来往内地通行证 6澳门来往内地通行证 7台湾同胞来往内地通行证
        public string userCardNo { get; set; } //必须 身份证号
        public string userCardStartDate { get; set; } //必须 法人证件开始日期
        public string userCardEndDate { get; set; } //必须 法人证件结束日期
        public string acctNm { get; set; } //必须 账户名称
        public string acctType { get; set; } //必须 账户类型（0-对公、1-对私）
        public string bankCardNo { get; set; } //必须 银行卡号
        public string acctBankNo { get; set; } //必须 总行行号
        public string acctBankNm { get; set; } //必须 总行名称
        public string acctZbankNo { get; set; } //必须 支行行号
        public string acctZbankNm { get; set; } //必须 支行名称
        public string acctZbankCode { get; set; } //必须 开户支行地区码
        public string reservedPhone { get; set; } //非必须 预留手机号。个人和企业对私必填
        public string licNo { get; set; } //企业必须 营业执照号
        public string licStartDate { get; set; } //企业必须 营业执照开始日期
        public string licEndDate { get; set; } //企业必须 营业执照结束日期
        public string businessAddressCode { get; set; } //企业必须 企业经营地区码
        public string businessAddress { get; set; } //企业必须 企业经营详细地址
        public string regAddressCode { get; set; } //企业必须 企业注册地址地区码
        public string regAddress { get; set; } //企业必须 企业注册详细地址
        public string compTel { get; set; } //非必须 固定电话
        public string businessMcc { get; set; } //企业必须 经营范围mcc
        public List<ImageItem> images { get; set; }//图片
    }
}
