﻿using System;
namespace MySystem
{
    public class OrderMessage
    {
        public int brandId { get; set; } //品牌/通道（0直联，1银联，2好哒）
        public int status { get; set; } //订单状态（0待支付，1已支付）
        public DateTime createDate { get; set; } //创建时间
        public DateTime payDate { get; set; } //支付时间
        public string hdOrderNo { get; set; } //好哒订单号
        public string tradeNo { get; set; } //支付宝微信平台交易号
        public string snNo { get; set; } //码牌SN
        public decimal payMoney { get; set; } //支付金额
        public int payMode { get; set; } //支付方式（1支付宝，2微信）
        public string orderNo { get; set; } //订单号
        public int consumerId { get; set; } //消费者Id
        public int merchantId { get; set; } //商户Id
        public int isAct { get; set; } //活动标识（1活动，0非活动）
        public int userId { get; set; } //创客Id
        public decimal merchantActualAmount { get; set; } //商家实收金额
    }
}
